Name:       perl-DateTime-Calendar-Mayan 
Version:    0.0601 
Release:    4%{?dist}
# lib/DateTime/Calendar/Mayan.pod -> GPL+ or Artistic
License:    GPL+ or Artistic 
Group:      Development/Libraries
Summary:    Mayan Long Count Calendar 
Source:     http://search.cpan.org/CPAN/authors/id/J/JH/JHOBLITT/DateTime-Calendar-Mayan-%{version}.tar.gz 
Url:        http://search.cpan.org/dist/DateTime-Calendar-Mayan
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(Class::ISA)
BuildRequires: perl(DateTime) >= 0.15
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Params::Validate) >= 0.64
# testing
BuildRequires: perl(Test::More)

%description
An implementation of the Mayan Long Count, Haab, and Tzolkin calendars
as defined in "Calendrical Calculations The Millennium Edition".
Supplemented by "Frequently Asked Questions about Calendars".


%prep
%setup -q -n DateTime-Calendar-Mayan-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root,-)
%doc README Changes LICENSE Todo
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.0601-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.0601-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0601-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.0601-1
- submission

* Mon May 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.0601-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

